%% loadfile_calib
% Loads output<filesuffix>.txt file which is the output of ./prSAMP_Calibration in Unix or
% prSAMP_Calib.exe in Windows.

%%
function H_hat = loadfile_calib(filesuffix, m, n)

H_hat = zeros(m,n);


fileID = fopen(['output' num2str(filesuffix) '.txt'],'r');
temp = fscanf(fileID,'%lf');
fclose(fileID);

cnt = 1;
for i=1:m
    for j=1:n
        H_hat(i,j) = temp(cnt)+temp(cnt+1)*1i;
        cnt = cnt + 2;
    end
end
    
    